# Crow: crow::RuleParameterTraits< T > Struct Template Reference

crow::RuleParameterTraits< T > Struct Template Reference

Allows the user to assign parameters using functions. More...

`#include <routing.h>`

## Public Types

using | self_t = T

## Public Member Functions

template<typename App >
WebSocketRule< App > & | websocket (App *app)
self_t & | name (std::string name) noexcept
self_t & | methods (HTTPMethod method)
template<typename... MethodArgs>
self_t & | methods (HTTPMethod method, MethodArgs... args_method)
template<typename App , typename... Middlewares>
self_t & | middlewares ()
| Enable local middleware for this handler.

## Detailed Description

### template<typename T>
struct crow::RuleParameterTraits< T >

Allows the user to assign parameters using functions.

`rule.name("name").methods(HTTPMethod::POST)`

The documentation for this struct was generated from the following file:

- include/crow/routing.h